<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";
	$id_cliente = $_POST['id_cliente'];
	//$id_cliente = "2";

	$datos = " Ingresa a obtener_cliente con id_cliente=".$id_cliente;	
		insertarLog($datos,$id_aplicacion);


	$sql = "select ";
	$sql .= "id_cliente,";
	$sql .= "razon_social,";
	$sql .= "nombre_comercial,";
	$sql .= "rfc,";
	$sql .= "email, ";
	$sql .= "regimen_fiscal ";
	$sql .= "from ";
	$sql .= "clientes ";
	$sql .= "where ";
	$sql .= "id_cliente=".$id_cliente;

	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();

	while($fila = $resultado->fetch_assoc())
	{
		$cliente["id_cliente"]=$fila['id_cliente'];
		$cliente["razon_social"]=$fila['razon_social'];
		$cliente["nombre_comercial"]=$fila['nombre_comercial'];
		$cliente["rfc"]=$fila['rfc'];
		$cliente["email"]=$fila['email'];
		$cliente["regimen_fiscal"]=$fila['regimen_fiscal'];
	}

	$sentencia->close();

	$datos = " Obtuvo informacion general del cliente: ".$id_cliente;	
		insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "calle,";
	$sql .= "numero_externo,";
	$sql .= "numero_interno,";
	$sql .= "colonia,";
	$sql .= "locacion,";
	$sql .= "referencia,";
	$sql .= "municipio,";
	$sql .= "estado,";
	$sql .= "pais,";
	$sql .= "codigo_postal,";
	$sql .= "telefono ";
	$sql .= "from ";
	$sql .= "direcciones d ";
	$sql .= "left join clientes_direcciones cd on (d.id_direccion=cd.id_direccion) ";
	$sql .= "where ";
	$sql .= "cd.tipo=1 ";
	$sql .= "and cd.id_cliente=".$id_cliente;

	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();

	$cliente["calle"]="";
	$cliente["numero_externo"]="";
	$cliente["numero_interno"]="";
	$cliente["colonia"]="";
	$cliente["locacion"]="";
	$cliente["referencia"]="";
	$cliente["municipio"]="";
	$cliente["estado"]="";
	$cliente["pais"]="";
	$cliente["codigo_postal"]="";
	$cliente["telefono"]="";

	while($fila = $resultado->fetch_assoc())
	{
		$cliente["calle"]=$fila['calle'];
		$cliente["numero_externo"]=$fila['numero_externo'];
		$cliente["numero_interno"]=$fila['numero_interno'];
		$cliente["colonia"]=$fila['colonia'];
		$cliente["locacion"]=$fila['locacion'];
		$cliente["referencia"]=$fila['referencia'];
		$cliente["municipio"]=$fila['municipio'];
		$cliente["estado"]=$fila['estado'];
		$cliente["pais"]=$fila['pais'];
		$cliente["codigo_postal"]=$fila['codigo_postal'];
		$cliente["telefono"]=$fila['telefono'];
	}

	$sentencia->close();

	$datos = " Obtuvo informacion de direcciones del cliente: ".$id_cliente;	
		insertarLog($datos,$id_aplicacion);

	echo response(0,"OK",$cliente);


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}



?>